<tryton>
    <data>
<!-- Create Contact Tracing Administration Group -->
        <record model="res.group" id="group_health_contact_tracing">
            <field name="name">Health Contact Tracing Administration</field>
        </record>

        <record model="res.group" id="group_health_contact_tracing_caller">
            <field name="name">Health Contact Tracing Caller</field>
        </record>

<!-- Assign the Group to the "admin" user -->
        <record model="res.user-res.group" id="user_admin_group_health">
            <field name="user" ref="res.user_admin"/>
            <field name="group" ref="group_health_contact_tracing"/>
        </record>

<!-- Access to Menues -->
        <record model="ir.ui.menu-res.group" id="menu_health_contact_tracing_group_health_contact_tracing">
            <field name="menu" ref="health_contact_tracing.gnuhealth_contact-tracing"/>
            <field name="group" ref="group_health_contact_tracing"/>
        </record>

        <record model="ir.ui.menu-res.group" id="menu_health_contact_tracing_group_health_contact_tracing_caller">
            <field name="menu" ref="health_contact_tracing.gnuhealth_contact-tracing"/>
            <field name="group" ref="group_health_contact_tracing_caller"/>
        </record>
        
         <record model="ir.ui.menu-res.group" id="menu_health_contact_tracing_campaign_group_health_contact_tracing">
            <field name="menu" ref="gnuhealth_contact_tracing_campaign_menu"/>
            <field name="group" ref="group_health_contact_tracing"/>
        </record>
        
        <record model="ir.ui.menu-res.group" id="menu_health_contact_tracing_configuration_group_health_contact_tracing">
            <field name="menu" ref="gnuhealth_contact_tracing_configuration_menu"/>
            <field name="group" ref="group_health_contact_tracing"/>
        </record>
        
        <record model="ir.ui.menu-res.group" id="menu_health_contact_tracing_eno_group_health_contact_tracing">
            <field name="menu" ref="gnuhealth_contact_tracing_eno"/>
            <field name="group" ref="group_health_contact_tracing"/>
        </record>
        
        <record model="ir.ui.menu-res.group" id="menu_health_contact_tracing_eno_group_health_doctor">
            <field name="menu" ref="gnuhealth_contact_tracing_eno"/>
            <field name="group" ref="health.group_health_doctor"/>
        </record>
        
<!-- Model permissions -->
        <record model="ir.model.access" 
                id="access_model_gnuhealth_contact_tracing-group_health_contact_tracing">
            <field name="model" search="[('model', '=', 'gnuhealth.contact_tracing')]"/>
            <field name="group" ref="group_health_contact_tracing"/>
            <field name="perm_read" eval="True"/>
            <field name="perm_write" eval="True"/>
            <field name="perm_create" eval="True"/>
            <field name="perm_delete" eval="True"/>
        </record>
        
        <record model="ir.model.access" 
                id="access_model_gnuhealth_contact_tracing-group_health_contact_tracing_caller">
            <field name="model" search="[('model', '=', 'gnuhealth.contact_tracing')]"/>
            <field name="group" ref="group_health_contact_tracing_caller"/>
            <field name="perm_read" eval="True"/>
            <field name="perm_write" eval="True"/>
            <field name="perm_create" eval="False"/>
            <field name="perm_delete" eval="False"/>
        </record>

<!-- Field permissions -->
        <record model="ir.model.field.access" 
                id="access_field_gnuhealth_contact_tracing-group_health_contact_tracing">
            <field name="field" search="[
                            ('model.model', '=', 'gnuhealth.contact_tracing'),
                            ('name','=','responsible_users')]"/>
            <field name="group" ref="group_health_contact_tracing"/>
            <field name="perm_read" eval="True"/>
            <field name="perm_write" eval="True"/>
            <field name="perm_create" eval="True"/>
            <field name="perm_delete" eval="True"/>
        </record>
        
        <record model="ir.model.field.access" 
                id="access_field_gnuhealth_contact_tracing-group_health_contact_tracing_caller">
            <field name="field" search="[
                            ('model.model', '=', 'gnuhealth.contact_tracing'),
                            ('name','=','responsible_users')]"/>
            <field name="group" ref="group_health_contact_tracing_caller"/>
            <field name="perm_read" eval="True"/>
            <field name="perm_write" eval="False"/>
            <field name="perm_create" eval="False"/>
            <field name="perm_delete" eval="False"/>
        </record>

<!-- Rules -->
        <record model="ir.rule.group" id="rule_group_health_contact_tracing_all">
            <field name="name">Contact Tracing all</field>
            <field name="model" search="[('model', '=', 'gnuhealth.contact_tracing')]"/>
            <field name="global_p" eval="False"/>
            <field name="default_p" eval="False"/>
            <field name="perm_read" eval="True"/>
            <field name="perm_write" eval="True"/>
            <field name="perm_create" eval="True"/>
            <field name="perm_delete" eval="False"/>
        </record>

        <record model="ir.rule" id="rule_group_health_contact_tracing_all1">
            <field name="domain">[]</field>
            <field name="rule_group" ref="rule_group_health_contact_tracing_all"/>
        </record>

        <record model="ir.rule.group-res.group"
            id="rule_group_health_contact_tracing_all-group_health_contact_tracing_admin">
            <field name="rule_group" ref="rule_group_health_contact_tracing_all"/>
            <field name="group" ref="group_health_contact_tracing"/>
        </record>

        <record model="ir.rule.group" id="rule_group_rwc_contact_tracing">
            <field name="name">RWC Contact Tracing</field>
            <field name="model" search="[('model', '=', 'gnuhealth.contact_tracing')]"/>
            <field name="global_p" eval="False"/>
            <field name="default_p" eval="True"/>
            <field name="perm_read" eval="True"/>
            <field name="perm_write" eval="True"/>
            <field name="perm_create" eval="True"/>
            <field name="perm_delete" eval="False"/>
        </record>
        
        <record model="ir.rule" id="rule_group_rwc_contact_tracing_responsible_users">
            <field name="domain"
                eval="[('responsible_users', '=', Eval('user', {}).get('id',-1))]"
                   pyson="1"/>
            <field name="rule_group" ref="rule_group_rwc_contact_tracing"/>
        </record>
    </data>
</tryton>
